/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * Copyright (C) 2008 University of Waikato, Hamilton, New Zealand
 */

package weka.classifiers.meta;

import weka.classifiers.AbstractClassifierTest;
import weka.classifiers.Classifier;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * Tests ClusteredMetaInstanceClassifier. Run from the command line with:<p/>
 * java weka.classifiers.meta.ClusteredMetaInstanceClassifierTest
 *
 * @author FracPete (fracpete at waikato dot ac dot nz)
 * @version $Revision$
 */
public class ClusteredMetaInstanceClassifierTest 
  extends AbstractClassifierTest {

  /**
   * Initializes the test.
   * 
   * @param name	the name of the test
   */
  public ClusteredMetaInstanceClassifierTest(String name) { 
    super(name);  
  }

  /**
   * Creates a default ClusteredMetaInstanceClassifier.
   * 
   * @return		the classifier
   */
  public Classifier getClassifier() {
    return new ClusteredMetaInstanceClassifier();
  }

  /**
   * Returns a test suite.
   * 
   * @return		the suite
   */
  public static Test suite() {
    return new TestSuite(ClusteredMetaInstanceClassifierTest.class);
  }

  /**
   * Runs the test from commandline.
   * 
   * @param args	ignored
   */
  public static void main(String[] args){
    junit.textui.TestRunner.run(suite());
  }
}
